<template>
    <div id="app">
      <router-view v-if="isRouterAlive"></router-view>
    </div>
</template>
<script>
import moment from "moment";
// import "moment/locale/zh-cn";
moment.locale("zh-cn");
export default {
  provide() {
    return {
      reload: this.reload,
    };
  },
  data() {
    return {
      isRouterAlive: true,
    };
  },
  methods: {
    reload() {
      this.isRouterAlive = false;
      this.$nextTick(() => (this.isRouterAlive = true));
    },
  },
};
</script>
<style>
@import "./assets/css/main.css";
</style>
